<%@ Page Language="C#" MasterPageFile="~/default.master" EnableViewState="false" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="BlogStarterKit.Admin.DefaultPage" Title="Untitled Page" %>
<%@ Register Src="AdminMenu.ascx" TagName="AdminMenu" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">

    <h1>Posts</h1>
    
    <div class="AdminCommandBar">
        <asp:HyperLink ID="NewPostLink" runat="server" NavigateUrl="EditPost.aspx" Text="New Post" />
        <asp:LinkButton ID="PublishDraftsLink" runat="server" Text="Publish All Drafts" OnClick="PublishDraftsLink_Click" />
    </div>
    
    <asp:GridView ID="PostsList" runat="server"
            DataKeyNames="PostID" DataSourceID="PostsDataSource" 
            CssClass="ItemsGrid" AllowPaging="True" AutoGenerateColumns="False"
            BorderWidth="0px" ShowHeader="False">
        <Columns>
            <asp:TemplateField>
                <ItemTemplate>
                    <div class="ItemsGridItem">
                        <asp:Label ID="TitleLabel" runat="server" CssClass="TitleLabel" Text='<%# Bind("Title") %>'></asp:Label>
                        <div class="ItemsGridMenu">
                            <asp:HyperLink ID="EditLink" runat="server" Text="Edit" NavigateUrl='<%# Bind("PostID", "EditPost.aspx?PostID={0}") %>' />
                            <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                                Text="Delete" />
                        </div>
                        <asp:Label ID="SubtitleLabel" runat="server" CssClass="SubtitleLabel" Text='<%# Bind("DatePosted") %>'></asp:Label>
                    </div>
                </ItemTemplate>                  
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    
    <asp:ObjectDataSource ID="PostsDataSource" runat="server" DeleteMethod="DeletePost"
        OldValuesParameterFormatString="original_{0}" SelectMethod="GetAllPosts"
        TypeName="BlogStarterKit.BlogEngine" DataObjectTypeName="BlogStarterKit.Post">
    </asp:ObjectDataSource>

</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="Sidebar">
    <blog:AdminMenu ID="AdminMenu1" runat="server" />
</asp:Content>
