<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="BlogStarterKit.Admin.LoginPage" Title="Untitled Page" %>
<%@ Import Namespace="BlogStarterKit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">
    <div id="LoginPanel">
        <asp:Login ID="Login1" runat="server" PasswordRequiredErrorMessage="A password is required." RememberMeText="Always remember me" TitleText="Administration Login" UserNameRequiredErrorMessage="A user name is required." CssClass="LoginForm">
            <LayoutTemplate>
                <h1>Administration Login</h1>
            
                <div class="FormField">
                    <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" CssClass="FormLabel">User Name:</asp:Label>
                    <asp:TextBox ID="UserName" runat="server" CssClass="FormTextBox" />
                    <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                        ErrorMessage="A user name is required." ToolTip="A user name is required." ValidationGroup="Login1" CssClass="FormErrorMessage">*</asp:RequiredFieldValidator>
                </div>

                <div class="FormField">
                    <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" CssClass="FormLabel">Password:</asp:Label>
                    <asp:TextBox ID="Password" runat="server" TextMode="Password" CssClass="FormTextBox" />
                    <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                        ErrorMessage="A password is required." ToolTip="A password is required." ValidationGroup="Login1" CssClass="FormErrorMessage">*</asp:RequiredFieldValidator>
                </div>

                <div class="FormField">
                    <asp:CheckBox ID="RememberMe" runat="server" Text="Remain logged in" CssClass="FormCheckbox" />
                </div>
                
                <div class="FormButtonContainer">
                    <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Log In" ValidationGroup="Login1" />
                </div>

            </LayoutTemplate>
        </asp:Login>
    </div>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="Sidebar">
&nbsp;
</asp:Content>
