<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="Contact.aspx.cs" Inherits="BlogStarterKit.ContactPage" Title="Contact Me" %>
<%@ Register Src="Controls/Captcha.ascx" TagName="Captcha" TagPrefix="blog" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">

    <div class="PostBody">

    <h1>Contact Me</h1>
    
       <div>
       Please fill out the following form to contact me. 
       </div>
       
       <div class="InputForm">
        <div class="FormField">
            <span class="FormLabel">Name:</span>
            <asp:TextBox ID="ContactName" runat="server" CssClass="FormTextBox" />
            <asp:RequiredFieldValidator ID="NameValidator" runat="server" ControlToValidate="ContactName" Text="Name is required." CssClass="ErrorMessage" />
        </div>
        <div class="FormField">
            <span class="FormLabel">Email (optional):</span>
            <asp:TextBox ID="ContactEmail" runat="server" CssClass="FormTextBox" />
        </div>
        <div class="FormField">
            <span class="FormLabel">Subject:</span>
            <asp:TextBox ID="ContactSubject" runat="server" CssClass="FormTextBox" />
            <asp:RequiredFieldValidator ID="SubjectValidator" runat="server" ControlToValidate="ContactSubject" Text="Subject is required." CssClass="ErrorMessage" />
            <asp:RegularExpressionValidator ID="SubjectLengthValidator" runat="server" ControlToValidate="ContactSubject" ValidationExpression=".{10}" Text="Subject must be less than 100 characters" CssClass="ErrorMessage" />         
        </div>
        <div class="FormBody">
            <span class="FormLabel">Message:</span>
            <asp:TextBox ID="ContactContents" runat="server" TextMode="MultiLine" />
            <asp:RegularExpressionValidator ID="ContentsLengthValidator" runat="server" ControlToValidate="ContactContents" ValidationExpression=".{0, 1000}" Text="Contents must be less than 1000 characters" CssClass="ErrorMessage" />         
        </div>
        <div class="FormField">
            <blog:Captcha ID="Captcha1" runat="server" />
        </div>
        <div class="FormButtonContainer">
            <asp:Button ID="SendButton" runat="server" CausesValidation="True" CommandName="Insert"
                Text="Send" OnClick="SendButton_Click" />
        </div>
        </div>

    
    </div>

</asp:Content>
