using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using BlogStarterKit.Utilities;

namespace BlogStarterKit.Controls
{
    public partial class CaptchaControl : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void Message_ServerValidate(object source, ServerValidateEventArgs args)
        {
            args.IsValid = Captcha.ValidateCaptcha(ID.Value, ResponseEdit.Text);
        }

        public override void DataBind()
        {
            string id = Captcha.GetCaptcha();
            ID.Value = id;
            Image.ImageUrl = "CaptchaImage.ashx?id=" + id;
        }

        protected void RefreshButton_Click(object sender, EventArgs e)
        {
            DataBind();
        }
    }
}