<%@ WebHandler Language="C#" Class="BlogStarterKit.Controls.CaptchaImageHandler" %>

using System;
using System.IO;
using System.Web;
using System.Drawing;
using System.Drawing.Imaging;
using BlogStarterKit.Utilities;

namespace BlogStarterKit.Controls
{
    public class CaptchaImageHandler : IHttpHandler
    {
        public void ProcessRequest(HttpContext context)
        {
            Byte[] bytes = Captcha.GetCaptchaImage(context.Request.QueryString["id"]);
            if (bytes != null)
            {
                context.Response.ContentType = "image/jpeg";
                context.Response.BinaryWrite(bytes);
            }
        }

        public bool IsReusable
        {
            get
            {
                return true;
            }
        }

    }
}