<%@ Page Language="C#" MasterPageFile="~/default.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="BlogStarterKit.DefaultPage" Title="Blog Title Here" EnableViewState="false" %>
<%@ Import Namespace="BlogStarterKit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" Runat="Server">
    
    <asp:DataList ID="BlogPosts" runat="server" DataSourceID="PostsDataSource" RepeatLayout="Flow">
        <ItemTemplate>
            <div class="Post">
                <div class="PostTitle"><asp:HyperLink ID="TitleLink" runat="server" Text='<%# Eval("Title") %>' NavigateUrl='<%# Eval("PostUrl") %>'/></div>
                <div class="PostSubtitle"><asp:Label ID="SubtitleLabel" runat="server" Text='<%# Eval("Subtitle") %>' /></div>
                <div class="PostInfo">
                    Posted on <asp:Label ID="DatePostedLabel" runat="server" Text='<%# Eval("DatePosted", "{0:d} @ {0:t}") %>' />
                    in <asp:HyperLink ID="CategoryLink" runat="server" Text='<%# Eval("CategoryName", "#{0}") %>' NavigateUrl='<%# Eval("CategoryID", "Default.aspx?categoryID={0}") %>' /> | 
                    <asp:HyperLink ID="FeedbackCountLabel" runat="server" Text='<%# Eval("FeedbackCount", "{0} comments") %>' NavigateUrl='<%# Eval("PostUrl", "{0}#feedback") %>' />
                </div>
                <div class="PostBody">
                    <%# Eval("Excerpt") %>
                </div>
                <asp:HyperLink ID="ContinuedLink" runat="server" Text="Continued..." NavigateUrl='<%# Eval("PostUrl") %>' Visible='<%# Eval("IsExcerpted") %>' />
            </div>
        </ItemTemplate>
    </asp:DataList>
    
    <asp:ObjectDataSource ID="PostsDataSource" runat="server" OldValuesParameterFormatString="original_{0}"
        SelectMethod="GetRecentPosts" TypeName="BlogStarterKit.BlogEngine">
    </asp:ObjectDataSource>

</asp:Content>
