using System;
using System.Web.UI.WebControls;

namespace BlogStarterKit
{
    public partial class PostPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Request.QueryString["postID"] == null)
            {
                Response.Redirect("default.aspx");
            }
        }

        protected void FeedbackDataSource_Inserted(object sender, ObjectDataSourceStatusEventArgs e)
        {
            FeedbackReceivedLabel.Visible = true;
        }

        protected void PostView_DataBound(object sender, EventArgs e)
        {
            Post post = (Post)PostView.DataItem;
            Page.Title = post.Title;
        }

        protected void FeedbackDataSource_Inserting(object sender, ObjectDataSourceMethodEventArgs e)
        {
            Feedback feedback = (Feedback)e.InputParameters[0];
            feedback.PostID = Int32.Parse(Request.QueryString["PostID"]);
        }
    }
}