<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RSS.aspx.cs" Inherits="BlogStarterKit.Services.RssService" Title="Untitled Page" StylesheetTheme="" ContentType="text/xml" %><?xml version="1.0" ?>
<%@ Import Namespace="BlogStarterKit" %>
<asp:Repeater id="Repeater1" runat="server" DataSourceID="PostsDataSource">
<HeaderTemplate>
<rss version="2.0">
  <channel>
    <title><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteTitle"]) %></title>
    <description><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteDescription"]) %></description>
    <link><%# Request.Url.GetLeftPart(UriPartial.Authority) %><%# Request.ApplicationPath %></link>
    <guid><%# Request.Url.GetLeftPart(UriPartial.Authority) %><%# Request.ApplicationPath %></guid>
    <author>
        <name><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteAuthor"]) %></name>
    </author>
    <copyright><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteCopyright"]) %></copyright>
    <language><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteLanguage"]) %></language>
</HeaderTemplate>

<ItemTemplate>
  <item>
    <title><%# Server.HtmlEncode(((Post)Container.DataItem).Title) %></title>
    <link><%# Eval("PostUrl") %></link>
    <guid><%# Eval("PostUrl") %></guid>
    <pubDate><%# Eval("DatePosted", "{0:R}") %></pubDate>
    <category><%# Server.HtmlEncode(((Post)Container.DataItem).CategoryName) %></category>
    <description><%# Server.HtmlEncode(((Post)Container.DataItem).Excerpt) %></description>
  </item>
</ItemTemplate>

<FooterTemplate>
  </channel>
</rss>    
</FooterTemplate>

</asp:Repeater>

<asp:ObjectDataSource ID="PostsDataSource" runat="server"
    SelectMethod="GetRecentPosts" TypeName="BlogStarterKit.BlogEngine">
    <SelectParameters>
        <asp:Parameter DefaultValue="20" Name="count" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>

