using System;
using System.IO;
using System.Net.Mail;
using System.Text;

namespace BlogStarterKit
{
    public partial class ContactPage : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                DataBind();
            }
        }

        protected void SendButton_Click(object sender, EventArgs e)
        {
            MailMessage msg = new MailMessage();
            msg.Subject = ContactSubject.Text;
            if (ContactEmail.Text != "")
            {
                msg.ReplyTo = new MailAddress(ContactEmail.Text);
            }

            StringBuilder sb = new StringBuilder();
            sb.Append("Name: ");
            sb.AppendLine(ContactName.Text);
            sb.AppendLine(ContactContents.Text);
            msg.Body = sb.ToString();

            SmtpClient client = new SmtpClient();
            client.Send(msg);

            Response.Redirect("ContactSent.aspx");
        }
    }
}