<%@ Application Language="C#" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Import Namespace="BlogStarterKit" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        this.BeginRequest += new EventHandler(Application_BeginRequest);        
    }
    
    void Application_BeginRequest(object sender, EventArgs e) 
    {
        string physicalPath = Context.Server.MapPath(Context.Request.CurrentExecutionFilePath);
        if (!File.Exists(physicalPath) && physicalPath.EndsWith(".aspx", StringComparison.InvariantCultureIgnoreCase))
        {
            string path = Context.Request.AppRelativeCurrentExecutionFilePath.Substring(2);
            IEnumerator<Post> posts = new BlogEngine().GetPostByUrl(path).GetEnumerator();
            if (posts.MoveNext())
            {
                Context.RewritePath("Post.aspx", "", "postID=" + posts.Current.PostID.ToString(), true);
            }
        }
    }
       
</script>
