<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Atom.aspx.cs" Inherits="BlogStarterKit.Services.AtomService" Title="Untitled Page" StylesheetTheme="" ContentType="text/xml" %><?xml version="1.0" ?>
<%@ Import Namespace="BlogStarterKit" %>
<asp:Repeater id="Repeater1" runat="server" DataSourceID="PostsDataSource">
<HeaderTemplate>
<feed xmlns="http://www.w3.org/2005/Atom">
    <title><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteTitle"]) %></title>
    <subtitle><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteDescription"]) %></subtitle>
    <author>
        <name><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteAuthor"]) %></name>
    </author>
    <id><%# Request.Url.GetLeftPart(UriPartial.Authority) %><%# Request.ApplicationPath %></id>
    <updated><%# String.Format("{0:s}{0:zzz}", GetLastUpdateTime()) %></updated>
    <link rel="self" href="<%# Request.Url.GetLeftPart(UriPartial.Path) %>" />
    <rights><%# Server.HtmlEncode(ConfigurationManager.AppSettings["siteCopyright"]) %></rights>
</HeaderTemplate>

<ItemTemplate>
  <entry>
    <id><%# Eval("PostUrl") %></id>
    <title><%# Server.HtmlEncode(((Post)Container.DataItem).Title) %></title>
    <updated><%# Eval("DatePosted", "{0:s}{0:zzz}") %></updated>
    <published><%# Eval("DatePosted", "{0:s}{0:zzz}") %></published>
    <link rel="alternate" href="<%# Eval("PostUrl") %>" />
    <category term="<%# Server.HtmlEncode(((Post)Container.DataItem).CategoryName) %>" />
    <summary type="html"><%# Server.HtmlEncode(((Post)Container.DataItem).Excerpt) %></summary>
  </entry>
</ItemTemplate>

<FooterTemplate>
</feed>    
</FooterTemplate>

</asp:Repeater>

<asp:ObjectDataSource ID="PostsDataSource" runat="server"
    SelectMethod="GetRecentPosts" TypeName="BlogStarterKit.BlogEngine">
    <SelectParameters>
        <asp:Parameter DefaultValue="0" Name="count" Type="Int32" />
    </SelectParameters>
</asp:ObjectDataSource>

